
Figure - Bug #112049
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】关闭应用小窗后，再次打开应用，应用以全屏模式显示
2022-09-20 18:18 - CD Test赵飞

Status: CLOSED Start date: 2022-09-20

Priority: High Due date: 2022-09-28

Assignee: CD Test赵飞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220920.alpha_0016

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version: 2022-10-25

Test Type: IT Root cause: 小窗启动模式为newtask，进入recent对recenttask做逻辑处理

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220920.alpha_0016

【前提条件】

1、设备已开机

2、后台未运行任何应用

【测试步骤】

1、长按桌面上的“设置”图标

2、在弹出的菜单中点击“小窗”

3、点击应用小窗上的关闭图标

4、再次点击桌面上的“设置”图标打开应用

【预期结果】

4、应用以小窗模式显示

【实际结果】

4、应用以全屏模式显示

    -  进入recent页面发现，有2个“设置”应用在后台运行

【复现率】

5/5

【Log】

见附件

History

#1 - 2022-09-23 14:17 - DL FW-王琳

- Due date changed from 2022-09-27 to 2022-09-28

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-王琳 to DL FW-张挽强

#2 - 2022-09-26 17:55 - DL FW-王琳

- Target version set to VX1_MCE_FSE_B sample_20221016

#3 - 2022-09-27 15:17 - CDTS_TEST 王成
- Priority changed from Normal to High

- Severity changed from Normal to Major

#4 - 2022-09-27 16:14 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_B sample_20221016 to VX1_MCE_FSE_V2.0_20220930

#5 - 2022-09-27 19:18 - CD TPM-申艳艳

- Category changed from CD-FW to 窗口定制

#6 - 2022-09-27 20:08 - CDTS_TEST 王成

显示两个应用的问题需要解决

#7 - 2022-09-27 20:09 - CDTS_TEST 王成

- Severity changed from Major to Critical

#8 - 2022-09-28 14:25 - CD TEST-方永红

- File 多任务管理.jpg added

#9 - 2022-09-28 18:23 - 物联网项目组-RD3_CDTS 周飞

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_V3.0_20221030

#10 - 2022-09-28 18:56 - DL FW-王琳

■ Current conclusion

窗口模式的变化，操作容器单元是Task。

目前冷启动小窗，其实是创建了新的Task，在打开非小窗模式的时候，会创建另外一个Task，

小窗在关闭操作，是finishActivity并且删除了Activity的容器Task，此时会通过onTaskRemoved接口通知到Launcher，此时最近任务列表中不应该再显示小窗

的Task。

■ Next action

1：确认下小窗启动方式，热启动小窗，其实是对非小窗模式的Task直接操作的，与冷启动的模式不一样，这块需要调查确认下并与Launcher讨论一下启

动方式

2：Launcher中最近任务列表中，对于小窗的展示时机以及截图通知时机，再调查一下后与Launcher讨论

#11 - 2022-10-21 18:34 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 90

- Resolution changed from -- to FIXED

#12 - 2022-10-24 16:48 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD Test赵飞

- % Done changed from 90 to 100

- Fixed Version set to 2022-10-25

- Root cause set to 小窗启动模式为newtask，进入recent对recenttask做逻辑处理

#13 - 2022-10-27 15:17 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

1、应用小窗启动与应用全屏启动的方式不同，点击应用图标对应的是应用全屏启动
2、多任务管理中存在多个相同应用进程的问题已修改

#14 - 2022-10-27 15:17 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

#15 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157167 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:fixed When entering recent, freeform displays the problem1.Incomplete display of application content in the freeform card2.Repeat the display

in the recent windowTC-RID: 1201-0204601IssueID: TS-R-BUG-112049 TS-R-BUG-11754Change-Id: Ife595ed9f1db0a66e7671ae9cbab972d125a7815

Files

logcat.txt 1.72 MB 2022-09-20 CD Test赵飞

多任务管理.jpg 107 KB 2022-09-28 CD TEST-方永红
